Bug 132718 - isofs mount of invalid device leads to oops, then hung sync's
isofs mount of invalid device leads to oops, then hung sync's
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-16 04:08 EDT by Paul Jakma
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:08:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Jakma 2004-09-16 04:08:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803 Galeon/1.3.17

Description of problem:
I attempted to mount /mnt/cdrw, which had a CDR in it. However my SCSI
adapter module was not loaded. So the mount returned 'invalid device'. 

I loaded BusLogic module, tried again. Failed again. Tried again, it
worked. I copied files from the CDR, unmounted it. Carried on. Several
hours later, I ran into problems with some processes stuck in D having
called sync(). Manually typing the 'sync' command hung too in D. I
looked at dmesg and saw there were kernel oopses from when I tried to
mount my cdrw without the SCSI adapter being loaded.

Relevant dmesg:

getblk(): invalid block size 0 requested
hardsect size: 13824
 [<02142507>] __getblk_slow+0x82/0xf3
 [<021427b2>] __getblk+0x25/0x2b
 [<021427f3>] __bread+0x9/0x1e
 [<021767a6>] isofs_fill_super+0xfe/0x5bf
 [<02169e00>] read_kcore+0x2be/0x336
 [<021457ad>] get_sb_bdev+0xd9/0x115
 [<02182a5f>] selinux_sb_copy_data+0x33/0x159
 [<02177679>] isofs_get_sb+0xe/0x11
 [<021766a8>] isofs_fill_super+0x0/0x5bf
 [<02145976>] do_kern_mount+0x8a/0x124
 [<02155a43>] do_add_mount+0x55/0x142
 [<02155d3a>] do_mount+0x178/0x190
 [<0213e9e3>] get_user_size+0x30/0x57
 [<02156020>] sys_mount+0x7b/0xe4
Unable to handle kernel NULL pointer dereference at virtual address
00000000
 printing eip:
021427f6
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: loop ppdev sg snd_pcm_oss sr_mod floppy
snd_mixer_oss snd_via
82xx snd_ac97_codec snd_pcm snd_timer snd_page_alloc gameport
snd_mpu401_uart sn
d_rawmidi snd_seq_device snd soundcore radeon cpuid msr radeonfb
i2c_algo_bit ra
dio_aztech videodev via686a w83781d i2c_sensor i2c_isa i2c_core mga
autofs4 nfsd
 exportfs parport_pc lp parport nfs lockd sunrpc usbnet mii
iptable_filter ip_ta
bles tulip ipv6 ext3 jbd dm_mod uhci_hcd aic7xxx sd_mod scsi_mod
CPU:    0
EIP:    0060:[<021427f6>]    Not tainted
EFLAGS: 00210246   (2.6.7-1.448) 
EIP is at __bread+0xc/0x1e
eax: 00000000   ebx: 00008000   ecx: 022c994c   edx: 00000000
esi: 10fd5400   edi: 0b6ac608   ebp: 0b6ac5d4   esp: 105e8e44
ds: 007b   es: 007b   ss: 0068
Process mount (pid: 8010, threadinfo=105e8000 task=0fee41f0)
Stack: 021767a6 00000000 00000000 00000010 00000000 00000000 00000000
00000000 
       00000000 00000000 00000000 10fd5400 6e79796e 1075006e 00000000
11f9016d 
       00000000 00000000 00000000 02169e00 ffffffff ffffffff 022abad6
00003600 
Call Trace:
 [<021767a6>] isofs_fill_super+0xfe/0x5bf
 [<02169e00>] read_kcore+0x2be/0x336
 [<021457ad>] get_sb_bdev+0xd9/0x115
 [<02182a5f>] selinux_sb_copy_data+0x33/0x159
 [<02177679>] isofs_get_sb+0xe/0x11
 [<021766a8>] isofs_fill_super+0x0/0x5bf
 [<02145976>] do_kern_mount+0x8a/0x124
 [<02155a43>] do_add_mount+0x55/0x142
 [<02155d3a>] do_mount+0x178/0x190
 [<0213e9e3>] get_user_size+0x30/0x57
 [<02156020>] sys_mount+0x7b/0xe4
Code: 8b 02 a8 01 75 09 89 d0 e8 f1 fd ff ff 89 c2 89 d0 c3 53 31 

<then BusLogic is loaded, and I try mount again>

[snip standard BusLogic init output]

sr0: scsi3-mmc drive: 16x/16x writer cd/rw xa/form2 cdda tray
Attached scsi CD-ROM sr0 at scsi1, channel 0, id 4, lun 0
Attached scsi generic sg1 at scsi1, channel 0, id 4, lun 0,  type 5
sr: unaligned transfer
isofs_fill_super: bread failed, dev=sr0, iso_blknum=16, block=32

<i try to mount again>

ISO 9660 Extensions: Microsoft Joliet Level 1
ISOFS: changing to secondary root



Version-Release number of selected component (if applicable):
kernel-2.6.7-1.448 i686

How reproducible:
Didn't try

Steps to Reproduce:
1. I have not yet rebooted the computer, not tried to reproduce.
2. I intend to reboot to 2.6.8-1.549
3.
    

Additional info:
Comment 1 Dave Jones 2005-04-16 02:08:13 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.